#ifndef _filewatcher_h
#define _filewatcher_h

#include "PathMonitor.h"

class FileWatcher : public virtual PathMonitor{
public:
	FileWatcher(sem_id blocker, BEntry &toWatch,
				char *move, char *stat, char *attribute, char *deleted);
	~FileWatcher();

	virtual void PathChanged(BPath &oldPath);
	virtual void EntryDeleted(node_ref &fromDirectory);
	virtual void StatChanged();
	virtual void AttributeChanged(const char *which);

	void CheckForQuit();
protected:
	BEntry &mToWatch;
	sem_id mBlocker;
	
	char *mMove, *mStat, *mAttribute, *mDeleted;
};

#endif
